<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo guardar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession()
    && (
        // Varios::hasModuleActionAccess(10, 5)
        // || Varios::hasModuleActionAccess(10, 7)
        true
    )
) {
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
	// Variables recibidas correctamente, sanitizamos las  variables
    $cmb_cliente 		= filter_var( $_POST['txt_clienteId'], FILTER_SANITIZE_NUMBER_INT);

    $txt_reseIdCod 		= filter_var( $_POST['txt_reservaId'], FILTER_SANITIZE_STRING);
    $txt_reseId 		= filter_var( Varios::decodifica($txt_reseIdCod), FILTER_SANITIZE_NUMBER_INT);
    $cmb_clienteTipo 	= filter_var( $_POST["cmb_clienteTipo"], FILTER_SANITIZE_STRING);
	$txt_persCliId 		= null;
	if($cmb_clienteTipo == 'Proveedor Cliente'){
		$txt_persCliIdCod	= filter_var( $_POST["txt_persCliId"], FILTER_SANITIZE_STRING);
		$txt_persCliId		= filter_var( Varios::decodifica($txt_persCliIdCod), FILTER_SANITIZE_NUMBER_INT);
	}
    $idTipoOrden        = filter_var( $_POST["cmb_tipoOrden"], FILTER_SANITIZE_NUMBER_INT);
	$txt_numero 		= filter_var($_POST["txt_numero"], FILTER_SANITIZE_STRING);
    $cmb_tipoCarga 		= filter_var( $_POST["cmb_tipoCarga"], FILTER_SANITIZE_STRING);
	$txt_cantidad 		= filter_var( $_POST["txt_cantidad"], FILTER_SANITIZE_NUMBER_INT);

	$txt_rut 			= filter_var( $_POST["txt_rut"], FILTER_SANITIZE_STRING);
	$txt_nombre 		= filter_var( $_POST["txt_nombre"], FILTER_SANITIZE_STRING);
	$txt_observacion 	= filter_var( $_POST["txt_observacion"], FILTER_SANITIZE_STRING);
    $estado             = 101002;
    $id_usuario 		= Varios::decodifica($_SESSION[_SYSTEM_SESIONID.'userId']);
    $txt_filtroFecha 	= Varios::formatFechaSQL2(filter_var($_POST["txt_filtroFecha"], FILTER_SANITIZE_STRING));
	
    $txt_bloqueIdCod	= filter_var( $_POST['txt_bloqueId'], FILTER_SANITIZE_STRING);
    $txt_bloqueId 		= filter_var( Varios::decodifica($txt_bloqueIdCod), FILTER_SANITIZE_NUMBER_INT);
    
    $txt_puertaIdCod	= filter_var( $_POST['txt_puertaId'], FILTER_SANITIZE_STRING);
    $txt_puertaId 		= filter_var( Varios::decodifica($txt_puertaIdCod), FILTER_SANITIZE_NUMBER_INT);

    $txt_bloqSelecCod 	= filter_var( $_POST['txt_bloqSelec'], FILTER_SANITIZE_STRING);
    $txt_bloqSelec 		= filter_var( Varios::decodifica($txt_bloqSelecCod), FILTER_SANITIZE_NUMBER_INT);

    $txt_reenIdCod		= filter_var( $_POST["txt_reenId"], FILTER_SANITIZE_STRING);
	$txt_reenId			= filter_var( Varios::decodifica($txt_reenIdCod), FILTER_SANITIZE_NUMBER_INT);

    $cantPallet = null;
	$cantGranel = null;
	if ($cmb_tipoCarga == 'pallet')
		$cantPallet = $txt_cantidad;
	if ($cmb_tipoCarga == 'granel')
		$cantGranel = $txt_cantidad;

    require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
    $reserva_obj = new gestionReserva(null);
    $auditoria_accion   = "Update";
    $auditoria_tabla    = "reserva";
    $auditoria_sql      = "EXEC agenda.SP_reserva_adm_modifica ".$txt_reseId.', '.$txt_persCliId.', '.$idTipoOrden.', "'.$txt_numero.'", '.
                                                $cantPallet.', '.$cantGranel.', '.$txt_reenId.', "'.$txt_rut.'", "'.$txt_nombre.'", '.
                                                $estado.', '.$id_usuario.', "'.$txt_observacion.'", "'.$txt_filtroFecha.'", '.$txt_bloqueId.', '.$txt_puertaId.','.$txt_bloqSelec;

    $reserva_resultado  = $reserva_obj->modificarReserva($txt_reseId, $txt_persCliId, $idTipoOrden, $txt_numero, $cantPallet, $cantGranel,
                                    $txt_reenId, $txt_rut, $txt_nombre, $estado, $id_usuario, $txt_observacion, $txt_filtroFecha, $txt_bloqueId, $txt_puertaId, $txt_bloqSelec);
  
    
    $mensaje    = $reserva_resultado['mensaje'];
    $resultado  = $reserva_resultado['resultado'];
    if($resultado > 0) {
        $mensaje = $txt_reenId;		
        $correcto 	= true;
    }
    Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );
    $reserva_obj->Close();
    
}

$data = array('success' => $correcto, 'mensaje' => $mensaje, 'sesion' => $sesion );
echo json_encode($data);
?>